List orders
Returns orders, newest first. Filter by customer, bundle, or status.
GET
/
orders
List orders
curl --request GET \
--url https://api.peeker.ai/partner/v1/orders \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "ord_01HZX0OR1A2B3C4D5E6F7G8H",
"customer_id": "cus_01HZX0C6Z3K4M5N6P7Q8R9S0",
"bundle_id": "bun_01HZX0BU1A2B3C4D5E6F7G8H",
"smartlead_client_id": "301",
"destination": {
"provider": "smartlead",
"workspace_id": "wrk_01HZX0SK1A2B3C4D5E6F7G8H",
"client_id": "301"
},
"status": "in_progress",
"domain_count": 2,
"costs": {
"total_cents": 13000,
"currency": "usd"
},
"renews_at": "2026-06-08T12:00:00Z",
"created_at": "2026-05-08T12:00:00Z"
},
{
"id": "ord_01HZX0OR2A2B3C4D5E6F7G8H",
"customer_id": "cus_01HZX0C7Z3K4M5N6P7Q8R9S0",
"bundle_id": null,
"smartlead_client_id": null,
"destination": {
"provider": "plusvibe",
"workspace_id": "wrk_01HZX0PV1A2B3C4D5E6F7G8H"
},
"status": "completed",
"domain_count": 1,
"costs": {
"total_cents": 4000,
"currency": "usd"
},
"renews_at": "2026-05-30T16:22:00Z",
"created_at": "2026-04-30T16:22:00Z"
}
],
"links": {
"first": "https://api.peeker.ai/partner/v1/orders?per_page=25",
"next": "https://api.peeker.ai/partner/v1/orders?per_page=25&page_token=eyJjdXJzb3IiOiJ4eXoifQ"
},
"meta": {
"path": "https://api.peeker.ai/partner/v1/orders",
"per_page": 25,
"returned": 2
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}Authorizations
Partner API key (pk_live_… or pk_test_…).
Query Parameters
Filter to orders for one customer, by cus_… ID.
Pattern:
^cus_Example:
"cus_01HZX0C6Z3K4M5N6P7Q8R9S0"
Filter by bundle (bun_…).
Example:
"bun_01HZX0BK1A2B3C4D5E6F7G8H"
Filter by status.
Available options:
in_progress, completed, failed, action_required, cancel_scheduled, cancelled How many rows per page (default 25, max 100).
Required range:
1 <= x <= 100Opaque cursor from links.next. Pass it through as-is.
Last modified on August 25, 2026
⌘I
List orders
curl --request GET \
--url https://api.peeker.ai/partner/v1/orders \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "ord_01HZX0OR1A2B3C4D5E6F7G8H",
"customer_id": "cus_01HZX0C6Z3K4M5N6P7Q8R9S0",
"bundle_id": "bun_01HZX0BU1A2B3C4D5E6F7G8H",
"smartlead_client_id": "301",
"destination": {
"provider": "smartlead",
"workspace_id": "wrk_01HZX0SK1A2B3C4D5E6F7G8H",
"client_id": "301"
},
"status": "in_progress",
"domain_count": 2,
"costs": {
"total_cents": 13000,
"currency": "usd"
},
"renews_at": "2026-06-08T12:00:00Z",
"created_at": "2026-05-08T12:00:00Z"
},
{
"id": "ord_01HZX0OR2A2B3C4D5E6F7G8H",
"customer_id": "cus_01HZX0C7Z3K4M5N6P7Q8R9S0",
"bundle_id": null,
"smartlead_client_id": null,
"destination": {
"provider": "plusvibe",
"workspace_id": "wrk_01HZX0PV1A2B3C4D5E6F7G8H"
},
"status": "completed",
"domain_count": 1,
"costs": {
"total_cents": 4000,
"currency": "usd"
},
"renews_at": "2026-05-30T16:22:00Z",
"created_at": "2026-04-30T16:22:00Z"
}
],
"links": {
"first": "https://api.peeker.ai/partner/v1/orders?per_page=25",
"next": "https://api.peeker.ai/partner/v1/orders?per_page=25&page_token=eyJjdXJzb3IiOiJ4eXoifQ"
},
"meta": {
"path": "https://api.peeker.ai/partner/v1/orders",
"per_page": 25,
"returned": 2
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}